<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'survey',

    /*
     * Package.
     */
    'package'   => 'employee',

    /*
     * Modules.
     */
    'modules'   => ['leavepay'],

    
    'leavepay'       => [
        'model' => [
            'model'                 => \Survey\Employee\Models\Leavepay::class,
            'table'                 => 'leavepays',
            'presenter'             => \Survey\Employee\Repositories\Presenter\LeavepayPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'company_id',  'department_id',  'gang_id',  'employee_id',  'type',  'doj',  'resigning',  'eligible_leave',  'basic_rate',  'from',  'to',  'total_leave',  'total_hours',  'allowance',  'gross_wage',  'leave_tax',  'fortnight_tax',  'net_pay',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'employee/leavepay',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Survey',
            'package'   => 'Employee',
            'module'    => 'Leavepay',
        ],

    ],
];
