<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateLeavepaysTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: leavepays
         */
        Schema::create('leavepays', function ($table) {
            $table->increments('id');
            $table->integer('company_id')->nullable();
            $table->integer('department_id')->nullable();
            $table->integer('gang_id')->nullable();
            $table->integer('employee_id')->nullable();
            $table->enum('type', ['Execute','Expat','National'])->nullable();
            $table->date('doj')->nullable();
            $table->increments('resigning')->nullable();
            $table->integer('eligible_leave')->nullable();
            $table->float('basic_rate')->nullable();
            $table->date('from')->nullable();
            $table->date('to')->nullable();
            $table->integer('total_leave')->nullable();
            $table->integer('total_hours')->nullable();
            $table->float('allowance')->nullable();
            $table->float('gross_wage')->nullable();
            $table->float('leave_tax')->nullable();
            $table->float('fortnight_tax')->nullable();
            $table->float('net_pay')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('leavepays');
    }
}
