<?php

namespace Survey\Employee;

use User;

class Employee
{
    /**
     * $leavepay object.
     */
    protected $leavepay;

    /**
     * Constructor.
     */
    public function __construct(\Survey\Employee\Interfaces\LeavepayRepositoryInterface $leavepay)
    {
        $this->leavepay = $leavepay;
    }

    /**
     * Returns count of employee.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.leavepay.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->leavepay->pushCriteria(new \Litepie\Survey\Repositories\Criteria\LeavepayUserCriteria());
        }

        $leavepay = $this->leavepay->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('employee::' . $view, compact('leavepay'))->render();
    }
}
