<?php

namespace Survey\Employee\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class LeavepayTransformer extends TransformerAbstract
{
    public function transform(\Survey\Employee\Models\Leavepay $leavepay)
    {
        return [
            'id'                => $leavepay->getRouteKey(),
            'key'               => [
                'public'    => $leavepay->getPublicKey(),
                'route'     => $leavepay->getRouteKey(),
            ], 
            'company_id'        => $leavepay->company_id,
            'department_id'     => $leavepay->department_id,
            'gang_id'           => $leavepay->gang_id,
            'employee_id'       => $leavepay->employee_id,
            'type'              => $leavepay->type,
            'doj'               => $leavepay->doj,
            'resigning'         => $leavepay->resigning,
            'eligible_leave'    => $leavepay->eligible_leave,
            'basic_rate'        => $leavepay->basic_rate,
            'from'              => $leavepay->from,
            'to'                => $leavepay->to,
            'total_leave'       => $leavepay->total_leave,
            'total_hours'       => $leavepay->total_hours,
            'allowance'         => $leavepay->allowance,
            'gross_wage'        => $leavepay->gross_wage,
            'leave_tax'         => $leavepay->leave_tax,
            'fortnight_tax'     => $leavepay->fortnight_tax,
            'net_pay'           => $leavepay->net_pay,
            'deleted_at'        => $leavepay->deleted_at,
            'url'               => [
                'public'    => trans_url('employee/'.$leavepay->getPublicKey()),
                'user'      => guard_url('employee/leavepay/'.$leavepay->getRouteKey()),
            ], 
            'status'            => trans('app.'.$leavepay->status),
            'created_at'        => format_date($leavepay->created_at),
            'updated_at'        => format_date($leavepay->updated_at),
        ];
    }
}